---
title: Distanzmessung auf kleinen Skalen mit Hilfe von Smartphone-Sensoren
author:
  name: Sebastian Preisner
  email: wbh@calyrium.org
  matrikelnr: 900266
studium:
  studiengang: Technische Informatik  
  studiengangnr: 1140
  fach: Entwurf Exposé
aufgabe:
  typ: Bachelor Thesis
  code:
date:
lang: de
toc: false
lof: false
...

# Einleitung

Smartphones enthalten immer mehr Sensoren, mit denen sie Daten aus ihrer Umwelt erfassen. Erst durch den Zugriff über Software werden diese Sensordaten zu nützlichen Features. So schaltet sich zum Beispiel das Display ein, sobald das Smartphone aus der Hosentasche gezogen wird oder wieder aus, wenn es an das Ohr gehalten wird. Ein großes Augenmerk erhält die Lokalisierung der Geräte: Hierdurch werden Anwendungen wie die Navigation ermöglicht. Bei der Distanzmessung geht es darum, die Strecke, die ein Gerät in Bewegung zurücklegt, zu erfassen. In dieser Arbeit soll untersucht werden, wie die Messung auf kleinen Skalen, im Zentimeterbereich umgesetzt werden kann.

Bei der Smartphone-Anwendung phyphox&reg; handelt es sich um eine Open-Source-Anwendung, mit deren Hilfe Experimente mit dem Smartphone durchgeführt werden können. Hierzu greift sie auf die im Gerät verbauten Sensoren zurück. So lassen sich zum Beispiel mit dem Luftdrucksensor die im Fahrstuhl zurückgelegten Stockwerke ermitteln und anzeigen, oder die Länge eines Pendels, an dem das Smartphone hängt, durch die Pendelfrequenz berechnen. Anwender können mithilfe von XML-Dateien die Anwendung um eigene Experimente erweitern. Hierdurch wird phyphox&reg; gerade für Schulen interessant, da es Schülern die Möglichkeit bietet, die Theorie in der Praxis zu erleben.
Aktuell fehlt jedoch eine Möglichkeit zur Distanzmessung. Durch diese könnten Experimente wie die Errechnung der Beschleunigung aus der zurückgelegten Wegstrecke und der Zeit durchgeführt werden.

Im Smartphone befinden sich mehrere Sensoren, die zur Lokalisierung des Geräts eingesetzt werden können. Da sich die Experimente mit phyphox&reg; meist im Innenraum abspielen, wird GPS für diesen Einsatzzweck nicht betrachtet. Mithilfe von WLAN, Bluetooth, NFC, Magnetometer, Gyroskop, Accelerometer, Kamera und Ultraschall bleiben jedoch viele weitere Möglichkeiten zur Lokalisierung bestehen [@maghdid_comprehensive_2021]. 

# These

Die Fehlertoleranz bei einer Distanzmessung mittels Bluetooth lässt sich durch den Aufbau von Bluetooth Beacons als Referenzpunkte auf einem Schreibtisch auf die Genauigkeit von wenigen Zentimeter verbessern.

# Motivation

Bei der Arbeit liegt der primäre Fokus auf der Umsetzung der Distanzmessung mittels Bluetooth unter Verwendung des RSSI (Received Signal Strength Indicator). Diese Lösung wird häufig in der Indoor-Navigation angewandt, da sie sowohl kostengünstig als auch weit verbreitet ist. Hierbei findet die Lokalisierung der Geräte zum Beispiel durch Triangulation mittels Referenzpunkten (Bluetooth Beacons) statt. Bei der Indoor-Navigation sind diese Referenzpunkte mehrere Meter auseinander, was zu einer geringen Signalstärke am Empfänger und somit zu größeren Auswirkungen von Störeinflüssen führt.

Bei der Messung von kleinen Skalen zur Durchführung von Experimenten können die Bluetooth Beacons in einem engeren Raster angeordnet werden. Das zu wählende Setup soll auf einem Schreibtisch Platz finden. Mithilfe einer Beispielimplementierung soll die Genauigkeit dieses Setups untersucht werden. Zur weiteren Verbesserung der Genauigkeit sollen verschiedene Filtermöglichkeiten implementiert werden. Mit einer genauen Distanzmessung lassen sich Beispielsweise neue Experimente mit dem Smartphone umsetzen.

# Vorgehen

Der aktuelle Stand der Forschung, sowie verschiedene Techniken zur Lokalisierung sollen mit Hilfe einer Literaturrecherche aufgezeigt und eingegrenzt werden. 

Desweiteren gilt es einen Testaufbau zu Definieren welcher auf einem Schreibtisch platz findet. Durch den Einsatz von Bluetooth Beacons kann ein kontrolliertes Setup hergestellt werden und so die Messgenauigkeit verbessert werden [@cho_measuring_2015]. 

Eine Beispielimplementierung auf Android soll die Machbarkeit der Distanzmessung aufzeigen. In einer Versuchsreihe mit verschiedenen Methoden der Fehlerkorrektur, zum Beispiel durch den Einsatz eines Kalman Filters [@welch_introduction_1997], soll überprüft werden welche Auswirkungen diese auf die Messgenauigkeit haben. Optional kann so auch die Integration weiterer Sensoren, wie zum Beispiel das Gyroskop, zur Steigerung der Genauigkeit überprüft werden. 

# Entwurf der Gliederung

1. Einleitung
	1. Motivation und Ausgangslage
	2. Zielsetzung
	3. Aufbau der Arbeit
4. Stand der Forschung
	1. Distanzmessung
	2. Bluetooth
	3. Android Apps
	4. phyphox&reg;
	5. Fehlerkorrekturen
	6. Bewertung
	7. Beschreibung der eigenen Idee/ Innovation
8. Konzeption und Anforderungsanalyse
3. Implementierung einer Android-App
4. Umsetzung des Kalman Filters
5. Testaufbau und Durchführung
6. Ergebnisse
7. Zusammenfassung und Ausblick
	1. Zusammenfassung und Fazit
	2. Ausblick


# Quellenverzeichnis